Skip to main content
GET
/
extract
/
{jobId}
Get extract job status
curl --request GET \
  --url https://api.supadata.ai/v1/extract/{jobId} \
  --header 'x-api-key: <api-key>'
import requests

url = "https://api.supadata.ai/v1/extract/{jobId}"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://api.supadata.ai/v1/extract/{jobId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "completed",
  "error": {
    "error": "invalid-request",
    "message": "Invalid Request",
    "details": "The request is invalid or malformed",
    "documentationUrl": "https://supadata.ai/documentation/errors#invalid-request"
  },
  "data": {
    "topics": [
      "AI basics",
      "Machine learning",
      "Neural networks"
    ],
    "summary": "An introduction to artificial intelligence concepts"
  },
  "schema": {
    "type": "object",
    "properties": {
      "topics": {
        "type": "array",
        "items": {
          "type": "string"
        }
      },
      "summary": {
        "type": "string"
      }
    },
    "required": [
      "topics",
      "summary"
    ]
  }
}
{
"error": "invalid-request",
"message": "Invalid Request",
"details": "The request is invalid or malformed",
"documentationUrl": "https://supadata.ai/documentation/errors#invalid-request"
}
{
"error": "invalid-request",
"message": "Invalid Request",
"details": "The request is invalid or malformed",
"documentationUrl": "https://supadata.ai/documentation/errors#invalid-request"
}
{
"error": "invalid-request",
"message": "Invalid Request",
"details": "The request is invalid or malformed",
"documentationUrl": "https://supadata.ai/documentation/errors#invalid-request"
}

Authorizations

x-api-key
string
header
required

Path Parameters

jobId
string
required

Response

Extract job result.

Response for extract job status/results

status
enum<string>
required

Current status of the job

Available options:
queued,
active,
completed,
failed
Example:

"completed"

error
object | null

Error information if the job failed

data
object

Extracted data from the video, structured according to the schema

Example:
{
"topics": [
"AI basics",
"Machine learning",
"Neural networks"
],
"summary": "An introduction to artificial intelligence concepts"
}
schema
object

JSON Schema generated by AI. Only present when no schema was provided in the request.

Example:
{
"type": "object",
"properties": {
"topics": {
"type": "array",
"items": { "type": "string" }
},
"summary": { "type": "string" }
},
"required": ["topics", "summary"]
}